- Qt 5.5
- Qt Location
- C++ Classes
- QPlaceSearchSuggestionReply
- Qt 5.5.1 Reference Documentation

# QPlaceSearchSuggestionReply Class

The QPlaceSearchSuggestionReply class manages a search suggestion operation started by an instance of QPlaceManager. More...

Header: | #include <QPlaceSearchSuggestionReply>
qmake: | QT += location
Since: | Qt 5.5
Inherits: | QPlaceReply

- List of all members, including inherited members

## Public Functions

| QPlaceSearchSuggestionReply(QObject * parent = 0)
| ~QPlaceSearchSuggestionReply()
QStringList | suggestions() const

## Reimplemented Public Functions

virtual Type | type() const

- 4 public functions inherited from QPlaceReply

## Protected Functions

void | setSuggestions(const QStringList & suggestions)

- 2 protected functions inherited from QPlaceReply

### Additional Inherited Members

- 1 public slot inherited from QPlaceReply
- 2 signals inherited from QPlaceReply

## Detailed Description

The QPlaceSearchSuggestionReply class manages a search suggestion operation started by an instance of QPlaceManager.

On successful completion of the operation, the reply will contain a list of search term suggestions. See Search Suggestions for an example on how to use a search suggestion reply.

See also QPlaceManager.

## Member Function Documentation

### QPlaceSearchSuggestionReply::QPlaceSearchSuggestionReply(QObject * parent = 0)

Constructs a search suggestion reply with a given parent.

### QPlaceSearchSuggestionReply::~QPlaceSearchSuggestionReply()

Destroys the reply.

### `[protected]` void QPlaceSearchSuggestionReply::setSuggestions(const QStringList & suggestions)

Sets the search term suggestions.

See also suggestions().

### QStringList QPlaceSearchSuggestionReply::suggestions() const

Returns the search term suggestions.

See also setSuggestions().

### `[virtual]` Type QPlaceSearchSuggestionReply::type() const

Reimplemented from QPlaceReply::type().

Returns type of reply.